Skip to main content
PUT
/
api
/
v1
/
llm
/
extract
/
schema
/
{schema_id}
Typescript (SDK)
import { SDK } from "@meetkai/mka1";

const sdk = new SDK({
  bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await sdk.llm.extract.updateSchema({
    schemaId: "schema_invoice_123",
    requestBody: {
      name: "Invoice Extraction v2",
      metadata: {
        "document_type": "invoice",
        "version": "2",
      },
    },
  });

  console.log(result);
}

run();
{
  "success": true,
  "data": {
    "id": "schema_invoice_123",
    "name": "Invoice Extraction v2",
    "description": "Schema for extracting invoice data from PDF documents",
    "schema": {
      "type": "object",
      "properties": {
        "invoice_number": {
          "type": "string"
        },
        "vendor_name": {
          "type": "string"
        },
        "total_amount": {
          "type": "number"
        },
        "date": {
          "type": "string",
          "format": "date"
        }
      },
      "required": [
        "invoice_number",
        "total_amount"
      ]
    },
    "metadata": {
      "document_type": "invoice",
      "version": "2"
    },
    "createdAt": "2024-01-15T10:30:00Z",
    "updatedAt": "2024-02-01T10:30:00Z"
  }
}

Authorizations

Authorization
string
header
required

Authenticate with your MKA1 API key at the API gateway: Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, also send X-On-Behalf-Of to identify the end user making the request.

Headers

X-On-Behalf-Of
string

Optional external user identifier for multi-user server-side integrations. Use this when acting on behalf of one of your end users.

Path Parameters

schema_id
string
required

The unique identifier of the extraction schema to update

Body

application/json

Fields to update in the extraction schema. All fields are optional; only provided fields will be updated.

name
string

Optional new name for the extraction schema

Required string length: 1 - 100
description
string

Optional new description for the schema

Maximum string length: 500
schema
object

Optional updated JSON Schema definition

metadata
object

Optional updated metadata

Response

200 - application/json

OK

Response from updating an existing extraction schema.

success
boolean
required

Indicates whether the schema update was successful

data
object
required

The updated extraction schema with new updatedAt timestamp